* {
    box-sizing: border-box;
    /*transition: 400ms;*/
}
body {
    margin: 0;
    scroll-behavior: smooth;
    overflow: auto;
}
html,
body {
    height: 100%;
}
html {
    overflow: hidden;
}
::selection {
    background-color: rgba(0, 0, 0, 0.1);
    color: #ffffff;
}
@import url('https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;400;500;600;700;800;900;1000&display=swap');
:root {
    --blue: #0033A0;
}
@font-face {
    font-family: e-Ukraine;
    src: url('/assets/fonts/e-Ukraine/e-Ukraine-Regular.otf');
    font-weight: normal;
}
@font-face {
    font-family: e-Ukraine;
    src: url('/assets/fonts/e-Ukraine/e-Ukraine-Bold.otf');
    font-weight: bold;
}
@font-face {
    font-family: e-Ukraine;
    src: url('/assets/fonts/e-Ukraine/e-Ukraine-Light.otf');
    font-weight: 100;
}
@font-face {
    font-family: Montserrat;
    src: url('/assets/fonts/Montserrat/Montserrat-VariableFont_wght.ttf');
}
a {
    text-decoration: none;
    cursor: pointer;
    color: black;
    font-family: 'e-Ukraine', Arial;
    font-size: 14px;
}
ul li {
    list-style: none;
}
form {
    margin: 0;
}
span {
    font-family: 'e-Ukraine', Arial;
    font-weight: 100;
}
input,
select,
button,
.checkbox-wrap {
    user-select: none;
}
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}
input[type=number] {
    -moz-appearance: textfield;
}
input[type=range] {
    cursor: pointer;
    height: 2px;
}
.disabled {
    border: 0px;
    background-color: transparent;
    cursor: default;
}
.disabled:hover {
    background-color: transparent;
}
.right-top-btn i {
    margin-right: 4px;
}
h1 {
    margin: 0;
    font-weight: bold;
    font-family: 'E-UKRAINE', Arial;
    font-size: 22px;
}
h2,
h3,
h4,
h5,
h6,
ul,
p {
    margin: 0;
    padding: 0;
    font-family: Arial;
}
i {
    margin: 0 4px;
}
.link {
    text-decoration: underline;
    font-family: 'e-Ukraine', Arial;
    font-size: 14px;
}
input:focus,
select:focus,
textarea {
    outline: none;
}
.flex {
    display: flex;
}
.grid {
    display: grid;
}
.template-columns-1 {
    grid-template-columns: repeat(1, 1fr);
}
.template-columns-2 {
    grid-template-columns: repeat(2, 1fr);
}
.template-columns-3 {
    grid-template-columns: repeat(3, 1fr);
}
.template-columns-4 {
    grid-template-columns: repeat(4, 1fr);
}
.flex-gap {
    display: flex;
    gap: 8px;
}
.column {
    flex-direction: column;
}
.gap {
    gap: 8px;
}
.vertical-center {
    align-items: center;
}
.horizontal-center {
    justify-content: center;
}
.space-between {
    justify-content: space-between;
}
.full-width {
    width: 100%;
}
.fit-width {
    width: fit-content;
}
.stretch {
    align-items: stretch;
}
.right {
    margin-left: auto;
}
.text-right {
    text-align: right;
}
.left {
    margin-right: auto;
}
.text-left {
    text-align: left;
}
.text-center {
    text-align: center;
}
.center {
    margin-left: auto;
    margin-right: auto;
}
.padding {
    padding: 10px;
}
.glow {
    filter: drop-shadow(0px 0px 10px white);
}
.vertical-margin {
    margin-top: 8px;
    margin-bottom: 8px;
}
.horizontal-margin {
    margin-left: 8px;
    margin-right: 8px;
}
.text {
    font-family: Nunito;
}
.or::after, .or::before {
    content: "";
    display: flex;
    height: 1px;
    background: #00000080;
    width: 100%;
    margin: 0 10px;
}
table {
    background-color: rgba(36, 82, 116, 0.5);
    color: rgba(255, 255, 255, 0.8);
    border: 1px solid rgba(255, 255, 255, 0.1);
    width: 100%;
    font-family: Dosis;
    border-collapse: collapse;
    overflow-wrap: anywhere;
}
th {
    cursor: pointer;
}
table thead {
    background: #101946;
}
table th, table td {
    font-family: var(--primary-font);
    font-weight: 100;
    font-size: 14px;
    padding: 6px;
    border: 1px solid rgba(255, 255, 255, 0.1);
    text-wrap: nowrap;
}
table th {
    text-align: start;
    white-space: nowrap;
}
.fade-in {
    opacity: 0;
    transition: opacity 1s ease;
}
.fade-in.show {
    opacity: 1;
}